RedotPay Connect
Order Inquiry

Retrieve refund transaction details

POST
/openapi/v2/refund/detail

Retrieve refund transaction details by either the acquirer-assigned refund ID (refundSn) or the merchant's refund reference (merchantRefundSn). Response includes refund status, refunded amount, currency, timestamps and related settlement metadata. When inherited from the original payment, response also includes optional subMerchantCode.

Header Parameters

X-R-Ts*string

request timestamp in milliseconds

X-R-Ak*string

merchant's appKey

X-R-Signature*string

request signature

X-R-Key-Version?string

merchant's private key version, default is 1

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/openapi/v2/refund/detail" \  -H "X-R-Ts: 1762327084929" \  -H "X-R-Ak: string" \  -H "X-R-Signature: string" \  -H "Content-Type: application/json" \  -d '{    "merchantRefundSn": "MRF20260101001",    "refundSn": "RDPREF20260000001"  }'
"open api common response"
{  "code": "paramFormatError",  "message": "request param invalid"}
{  "code": "authorizationInvalid",  "message": "authorizationInvalid invalid"}
{  "code": "notInWhiteList",  "message": "request ip not in the white list"}
{  "code": "frequencyLimited",  "message": "Too many requests, please try again later"}